<table>
 <tr>
  <th colspan="3" bgcolor="#ffbbbb">
   <%=a('update_recent', {}, context)%>recent</a>
  </th>
 </tr>
<%
    @dip.server.recent.each do |host, info|
      next unless info['nickname']
      if info['absence']
        fg_attr = 'fgcolor="#888888"'
      else
        fg_attr = 'fgcolor="black"'
      end
%>
 <tr <%=fg_attr%> bgcolor="#ffeeee"> 
  <td align="center">
   <%=a('send', {'ipaddr'=>info['addr']}, context)%>
    <%=h info['nickname']%> 
    <%=h info['group']%>
   </a>
  </td>
  <td><%=h info['addr']%></td>
 </tr>
<%
    end
%>
 <tr bgcolor="#bbbbff">
  <th><%=a('sort', {'key'=>'nickname'}, context)%>nick</a>  
      <%=a('sort', {'key'=>'group'}, context)%>group</a></th>
  <th><%=a('sort', {'key'=>'addr'}, context)%>addr</a></th>
 </tr>
<%
    @dip.server.sorted_members(@sort_key) do |host, info| 
      if info['absence']
        fg_attr = 'fgcolor="#888888"'
      else
        fg_attr = 'fgcolor="black"'
      end
%>
 <tr <%=fg_attr%>>
  <td align="center">
   <%=a('send', {'ipaddr'=>info['addr']}, context)%>
    <%=h info['nickname']%> 
    <%=h info['group']%>
   </a>
  </td>
  <td><%=h info['addr']%></td>
 </tr>
<%
    end
%>
</table>
